# Copyright 2013-2024 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: MIT

from spack.package import *

class Cmatrix(AutotoolsPackage):
    """Terminal based "The Matrix" like implementation"""

    homepage = "https://github.com/abishekvashok/cmatrix"
    url = "https://github.com/abishekvashok/cmatrix/archive/refs/tags/v2.0.tar.gz"
    maintainers("hv15")
    license("GPL-3.0-only", checked_by="hv15")

    version("2.0", sha256="ad93ba39acd383696ab6a9ebbed1259ecf2d3cf9f49d6b97038c66f80749e99a")

    depends_on("autoconf", type="build")
    depends_on("automake", type="build")
    depends_on("libtool", type="build")
    depends_on("ncurses", type="build")
    depends_on("kbd", type="run")
